steady_state_model;

    Be =  0.272488303346143;

    re =  ( 1 + etae*gammae * (pe*Be)^(gammae-1) )*infl_ss/bettap - 1;

   G1 = (1-sigma) / ( 1 + bettap * (bettai/bettap - 1) * (1 - deltas) * tausi - (1-deltas)*bettai );
    
    G21 = 1 - taui * (1/bettap-1) * ( chi_b*chi_Fwl*bettap/(1-chi_Fb*bettap) + chi_wl );
    G22 = sigma/G1 + (1-bettap) * (1-deltas) * tausi + deltas;
    G2 = G21/G22;
    
    G3 = G1/G2 * chi_b * taui * (1 - bettai/bettap) / (1 - bettap*chi_Fb/bettai);
    
    G4 = (1-sigma)/(1 - bettap*(1-deltas));
    
    G5 = 1/bettae/gamma * (1 - ( infl_ss/(1+re) - bettae )*taue*(1-delta) - bettae*(1-delta));
    
    G6 = 1/G1*sigma*G2*G5*(1-theta)*(1-gamma);
    
% ****** Set other variables ******
    
    li = ( G1/G2 + chi_wl*taui*(1-bettai/bettap)*G1/G2 + bettap/bettai*chi_Fwl*G3 )^(1/(1+phi));
    
    G71 = 1 /G5 /pe * (epsilony-1) /epsilony * (pp^(theta*(1-gamma))) * (pi*li)^((1-gamma)*(1-theta)) * (G5*theta*(1-gamma)*G4)^(theta*(1-gamma)/(1+phi));
    G7 = G71^((1+phi)/theta/(1-gamma));
           
    K =  Be * ( 1 + etae*gammae*(pe*Be)^(gammae-1) ) /taue/bettap/(1-delta);
    
    ye =  G5*epsilony/(epsilony-1)*K;   
    
    Y =  pe*ye;
    
    ci =  G6*K;
           
    rb_ss = infl_ss/bettap-1;
    
    rb = rb_ss;
    
    ce =  G5*K - delta*K - ((1+re)/infl_ss - 1)*Be - theta*(1-gamma)*G5*K - (1-theta)*(1-gamma)*G5*K;
    
    cp =  sigma /G4 *G7 *K^(1 - (1+phi)/theta);
    
    C =  pi*ci + pe*ce + pp*cp;
    
    I =  delta*K;
    
    sp =  G7 *K^(1 - (1+phi)/theta);
    
    si =  G1*G6/sigma*K;
    
    Is =  deltas * (sp + si);
    
    lambdap = G4/sp;
    
    qw = (epsilony-1)/epsilony;
    
    x = 1/qw;
    
    lp = ( qw*ye/sp*theta*(1-gamma)*G4) ^(1/(1+phi));
    
    wp = sp*lp^phi/G4;
    
    wi = qw*ye*(1-theta)*(1-gamma)/li;
    
    lambdai = G1/si;
    
    lambdae = 1/ce;
    
    qk = 1;
    
    qs = 1;
    
    phii = lambdai*(1 - bettai/bettap);
    
    phie = lambdae * (  1/(1+re) - bettae/infl_ss );
    
    rk = gamma * (1/pe) *(K)^(gamma-1)*(pp*lp)^(Ye_1)*(pi*li)^(Ye_2)/x;

 b_fut = chi_Fwl*bettap*wi*li/(1-chi_Fb*bettap);

infl = infl_ss;

    Bi = taui*( chi_b*b_fut +  chi_wl*wi*li ) + tausi*qs*infl/(1+rb)*(1-deltas)*si;
    
    spr_txj = (re) - (rb); 

cre_pib = (Be + Bi)/(Y);
	

crede = (Be)/(Y);

credi = Bi/Y;

Bsi = (1/(1+rb))*tausi*qs*infl*(1-deltas)*si;

credsi = Bsi/Y;

Ca = (C)/Y;

Ia = (I+Is)/Y;

credwi = (Bi - Bsi)/Y; 

S = sp + si;

dp = (pi*Bi + pe*Be*( 1 + gammae*etae* (pe*Be)^(gammae-1) ))/pp;

nu_I = G3/wi/li;

end;