function err = calcErrorSS(Be, isInit)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

if isInit == true
load init;
taue    = initvalue(41);
taui    = initvalue(42);
tausi   = initvalue(43);
else
load endv
taue    = endvalue(41);
taui    = endvalue(42);
tausi   = endvalue(43);
end

load param.mat

sigma    = param(1);
sig      = param(2);
bettap   = param(3);
bettae   = param(4);
bettai   = param(5);
phi      = param(6);
gamma    = param(7);
theta    = param(8);
delta    = param(9);
kappai   = param(10);
kappa_pi = param(11);
kappa_y  = param(12);
infl_ss  = param(13);
phip     = param(14);
rho_rb   = param(15);
epsilony = param(16);
epsl     = param(17);
ind_w    = param(18);
kappap   = param(19);
deltas   = param(20);
kappasi  = param(21);
pp       = param(22);
pe       = param(23);
pi       = param(24);
etae     = param(25);
gammae   = param(26);
chi_b  = param(27);
chi_wl  = param(28);
chi_Fb  = param(29);
chi_Fwl = param(30);


    re = @(Be) ( 1 + etae.*gammae .* (pe.*Be).^(gammae-1) ).*infl_ss./bettap - 1;
    
   G1 = (1-sigma) / ( 1 + bettap * (bettai/bettap - 1) * (1 - deltas) * tausi - (1-deltas)*bettai );
    
    G21 = 1 - taui .* (1./bettap-1) .* ( chi_b.*chi_Fwl.*bettap./(1-chi_Fb.*bettap) + chi_wl );
    G22 = sigma./G1 + (1-bettap) .* (1-deltas) .* tausi + deltas;
    G2 = G21./G22;
    
    G3 = G1./G2 .* chi_b .* taui .* (1 - bettai./bettap) ./ (1 - bettap.*chi_Fb./bettai);
    
    G4 = (1-sigma)./(1 - bettap.*(1-deltas));
    
    G5 = @(Be) 1./bettae./gamma .* (1 - ( infl_ss./(1+re(Be)) - bettae ).*taue.*(1-delta) - bettae.*(1-delta));
    
    G6 = @(Be) 1./G1.*sigma.*G2.*G5(Be).*(1-theta).*(1-gamma);
    
    li = ( G1./G2 + chi_wl.*taui.*(1-bettai./bettap).*G1./G2 + bettap./bettai.*chi_Fwl.*G3 ).^(1./(1+phi));
    
    G71 = @(Be) 1 ./G5(Be) ./pe .* (epsilony-1) ./epsilony .* (pp.^(theta.*(1-gamma))) .* (pi.*li).^((1-gamma).*(1-theta)) .* (G5(Be).*theta.*(1-gamma).*G4).^(theta.*(1-gamma)./(1+phi));
    G7 = @(Be) G71(Be).^((1+phi)./theta./(1-gamma));
           
    K = @(Be) Be .* ( 1 + etae.*gammae.*(pe.*Be).^(gammae-1) ) ./taue./bettap./(1-delta);
    
    ye = @(Be) G5(Be).*epsilony./(epsilony-1).*K(Be);   
    
    Y = @(Be) pe.*ye(Be);
    
    ci = @(Be) G6(Be).*K(Be);
           
    rb_ss = infl_ss./bettap-1;
    
    ce = @(Be) G5(Be).*K(Be) - delta.*K(Be) - ((1+re(Be))./infl_ss - 1).*Be - theta.*(1-gamma).*G5(Be).*K(Be) - (1-theta).*(1-gamma).*G5(Be).*K(Be);
    
    cp = @(Be) sigma ./G4 .*G7(Be) .*K(Be).^(1 - (1+phi)./theta);
    
    C = @(Be) pi.*ci(Be) + pe.*ce(Be) + pp.*cp(Be);
    
    I = @(Be) delta.*K(Be);
    
    sp = @(Be) G7(Be) .*K(Be).^(1 - (1+phi)./theta);
    
    si = @(Be) G1.*G6(Be)./sigma.*K(Be);
    
    Is = @(Be) deltas .* (sp(Be) + si(Be));
    
    err = Y(Be) - ( C(Be) + I(Be) + Is(Be)+ etae.*(pe.*Be).^gammae ) ;
    
end

